C       FIRD DIALO HANDLER
C
        IF(COMMAND.EQ.'FIRD') THEN
 !       CALL WDIALOGSELECT(FIRD)
           SELECT CASE(MESSAGE)
            CASE ('IDOK')
 !       CALL WDIALOGGETINTEGER(FIRD1,ISET)
 !       CALL WDIALOGGETINTEGER(FIRD2,JSET)
 !       CALL WDIALOGGETDOUBLE(FIRD3,WAVE_LENGTH)
        WRITE(INPUT,*) 'FIRD ',ISET,JSET,WAVE_LENGTH
        CALL PROCES
        WRITE(OUTLYNE,*) '   '
        CALL SHOWIT(0)
        CASE('IDCANCEL')
 !       CALL WDialogHide()
 !       CALL WDialogUnload()
        END SELECT
                                END IF
